Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.description
Class ModuleConfiguration

    java.lang.Object
      org.apache.axis2.description.ModuleConfiguration

All Implemented Interfaces:
  ParameterInclude

    public class ModuleConfiguration

extends java.lang.Object
implements ParameterInclude

This is to store deployment time data , described by ....

Right now this just keeps stores the set of parameters

Constructor Summary
`ModuleConfiguration(java.lang.String moduleName, ParameterInclude parent)`

Method Summary
`void` | `addParameter(Parameter param)` Method addParameter.
`void` | `deserializeParameters(org.apache.axiom.om.OMElement parameterElement)`
`java.lang.String` | `getModuleName()`
`Parameter` | `getParameter(java.lang.String name)` Method getParameter.
`java.util.ArrayList<Parameter>` | `getParameters()` Gets all the parameters in a given description.
`boolean` | `isParameterLocked(java.lang.String parameterName)` Checks whether the parameter is locked at any level.
`void` | `removeParameter(Parameter param)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModuleConfiguration

    public ModuleConfiguration(java.lang.String moduleName,
                               ParameterInclude parent)

Method Detail

### addParameter

    public void addParameter(Parameter param)
                      throws AxisFault

  Description copied from interface: `ParameterInclude`
  Method addParameter.

  Specified by:
    `addParameter` in interface `ParameterInclude`
  Throws:
    `AxisFault`

### removeParameter

    public void removeParameter(Parameter param)
                         throws AxisFault

  Specified by:
    `removeParameter` in interface `ParameterInclude`
  Throws:
    `AxisFault`

### deserializeParameters

    public void deserializeParameters(org.apache.axiom.om.OMElement parameterElement)
                               throws AxisFault

  Specified by:
    `deserializeParameters` in interface `ParameterInclude`
  Throws:
    `AxisFault`

### getModuleName

    public java.lang.String getModuleName()

### getParameter

    public Parameter getParameter(java.lang.String name)

  Description copied from interface: `ParameterInclude`
  Method getParameter.

  Specified by:
    `getParameter` in interface `ParameterInclude`
  Returns:
    Returns Parameter.

### getParameters

    public java.util.ArrayList<Parameter> getParameters()

  Description copied from interface: `ParameterInclude`
  Gets all the parameters in a given description.

  Specified by:
    `getParameters` in interface `ParameterInclude`
  Returns:
    Returns ArrayList.

### isParameterLocked

    public boolean isParameterLocked(java.lang.String parameterName)

  Description copied from interface: `ParameterInclude`
  Checks whether the parameter is locked at any level.

  Specified by:
    `isParameterLocked` in interface `ParameterInclude`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.